Description

Using the WFS-Extension to request vectordata from a WFS-Service doesn't request only the data of the displayed extend using bbox in

requeststring. It request the whole layer! This could be pretty (too) much.

By the way "WFS" is missing in Component-list in this trac system.

History

#1 - 2008-11-23 01:20 PM - Marco Hugentobler

Hi Marco

The WFS provider fetches the whole layer the first time and stores all in memory. Because it assumes that the user soon will do some panning and zooming

and that will be a lot faster if everything is in memory. So the implemented solution requires more memory but is much faster for many zoom and pan

actions.

And if a WFS layer is the first one, QGIS would need to fetch the whole layer anyway.

However, it could be a feature enhancement to give the user the possibility to only request the data in the current view extent (those features then would

stay the same even if the user pans or zooms out afterwards). I'm therefore changing this ticket into enhancement (and category 'data provider')

Marco

#2 - 2008-11-23 01:45 PM - Jürgen Fischer

a side effect of that behaviour also is, that the provider only shows a snapshot of the content and there is no way to update it other than removing and

re-adding the layer or reloading the project.

#3 - 2008-11-27 12:11 PM - Marco Lechner

wouldn't it be better to preload some larger bbox than the viewed extend (easy to implement). I try to use a WFS serving a huge amount of data for whole

europe (OpenStreetMap-WFS) - but I only need the features in a small part (surrounding of Freiburg, Germany) wich is already a lot of data.

Loading the whole layer takes about five minutes (and I used a relatively small one for testing)

#4 - 2010-03-11 12:16 PM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed
An option to fetch only the feature intersecting the current map extent is in the svn version.
